package com.tanpu.feo.feojob.dao.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value="com-tanpu-feo-feojob-dao-user-entity-DaySelection")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "day_selection")
public class DaySelection {
    /**
     * 唯一主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="唯一主键")
    private String id;

    /**
     * 类型
     */
    @TableField(value = "ds_type")
    @ApiModelProperty(value="类型")
    private String dsType;

    /**
     * 主题ID
     */
    @TableField(value = "ds_subject_id")
    @ApiModelProperty(value="主题ID")
    private String dsSubjectId;

    /**
     * 关联数据ID
     */
    @TableField(value = "ds_id")
    @ApiModelProperty(value="关联数据ID")
    private String dsId;

    /**
     * 排序
     */
    @TableField(value = "ds_sort")
    @ApiModelProperty(value="排序")
    private Integer dsSort;

    /**
     * 扩展
     */
    @TableField(value = "ds_ext")
    @ApiModelProperty(value="扩展")
    private String dsExt;

    /**
     * 是否推荐0:否 1:是
     */
    @TableField(value = "ds_isrecommend")
    @ApiModelProperty(value="是否推荐0:否 1:是")
    private String dsIsrecommend;

    /**
     * 是否焦点话题0:否1:是
     */
    @TableField(value = "ds_focus_topic")
    @ApiModelProperty(value="是否焦点话题0:否1:是")
    private String dsFocusTopic;

    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    @ApiModelProperty(value="创建时间")
    private Date createtime;

    /**
     * 创建人
     */
    @TableField(value = "createby")
    @ApiModelProperty(value="创建人")
    private String createby;

    /**
     * 修改时间
     */
    @TableField(value = "updatetime")
    @ApiModelProperty(value="修改时间")
    private Date updatetime;

    /**
     * 修改人
     */
    @TableField(value = "updateby")
    @ApiModelProperty(value="修改人")
    private String updateby;

    /**
     * 删除标识
     */
    @TableField(value = "deletetag")
    @ApiModelProperty(value="删除标识")
    private String deletetag;

    public static final String COL_ID = "id";

    public static final String COL_DS_TYPE = "ds_type";

    public static final String COL_DS_SUBJECT_ID = "ds_subject_id";

    public static final String COL_DS_ID = "ds_id";

    public static final String COL_DS_SORT = "ds_sort";

    public static final String COL_DS_EXT = "ds_ext";

    public static final String COL_DS_ISRECOMMEND = "ds_isrecommend";

    public static final String COL_DS_FOCUS_TOPIC = "ds_focus_topic";

    public static final String COL_CREATETIME = "createtime";

    public static final String COL_CREATEBY = "createby";

    public static final String COL_UPDATETIME = "updatetime";

    public static final String COL_UPDATEBY = "updateby";

    public static final String COL_DELETETAG = "deletetag";
}