package com.tanpu.feo.feojob.service.jyzy;



import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tanpu.feo.feojob.constant.BaseConstant;
import com.tanpu.feo.feojob.dao.jyzyuser.entity.JyzyTeamEntity;
import com.tanpu.feo.feojob.dao.jyzyuser.mapper.JyzyTeamMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import lombok.extern.slf4j.Slf4j;

import java.util.List;

/**
 * ServiceImp
 *
 * @author zejia zj wu 2021年05月26日
 * @version 1.0
 */
@Service("JyzyTeamService")
@Slf4j

public class JyzyTeamService {

	@Autowired
	private JyzyTeamMapper JyzyTeamMapper;

	public List<JyzyTeamEntity> getTeamListByOrgId(String orgId) {
		LambdaQueryWrapper<JyzyTeamEntity> queryWrapper = Wrappers.lambdaQuery(JyzyTeamEntity.class)
				.eq(JyzyTeamEntity::getOrgId, orgId)
				.eq(JyzyTeamEntity::getDeleteTag, BaseConstant.DeleteTagInt.NOT_DELETED)
				.eq(JyzyTeamEntity::getTeamCategory, 1);
		return JyzyTeamMapper.selectList(queryWrapper);
	}
}
